GET
Get user subscriptions
Retrieves the notification subscriptions for the authenticated user. Supports optional filtering by communication channel, category name, and notification name. Returns a list of subscriptions relevant to the user's preferences.
Query Params
-
channelstring -
categoryNamestring -
notificationNamestring
Header Params
-
request-idstring
Responses
200
List of user subscriptions
Response Body
object
-
notificationSubscriptionsarray of objects requirednotificationSubscriptions object
-
idstring uuid -
userIdstring uuid -
notificationNamestring required -
categoryNamestring required -
channelstring required -
isSubscribedboolean required -
createdAtstring date-time required -
updatedAtstring date-time required -
isMandatoryboolean required
-
400
Invalid query parameters
Response Body
object
Bad request error response
-
namestring enum requiredError codeValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code400
500
Unexpected error
Response Body
object
Internal server error response
-
namestring enum requiredError codeUnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code500